# Operate product with the weblink

`POST https://api.parklio.com/v2/weblinks/{id}/operation`

Use the weblink to operate a Parklio™ product

**Auth:** none (public)

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | string | yes |  |

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `token` | string | yes |  |
| `operation` | string (`open`, `force_close`, `close`, `stay_open`, `stay_close`, `clear_stay_open`, `clear_stay_close`) | yes |  |

```json
{
  "token": "string",
  "operation": "open"
}
```

## Responses

### 200

```json
{
  "success": true,
  "data": {
    "success": true
  }
}
```

### 403 — Product operation was not emitted due to no rssi signal. Gateway does not have a good enough signal with the product.

```json
{
  "success": false,
  "errors": [
    {
      "code": 704,
      "message": "No rssi signal."
    }
  ]
}
```

### 404 — Resource that has been requested does not exist. User should not try to repeat this request.

```json
{
  "success": false,
  "errors": [
    {
      "code": 6,
      "message": "Resource not found."
    }
  ]
}
```

### 422 — Some of the provided request parameters are missing or are invalid. User should add/change them according to response message.

```json
{
  "success": false,
  "errors": [
    {
      "code": 23,
      "message": "Validation error",
      "field": "field"
    }
  ]
}
```

